<?php

// Change this following line to use the correct relative path (../, ../../, etc)
$res = 0;
if (!$res && file_exists("../main.inc.php"))
    $res = @include("../main.inc.php");
if (!$res && file_exists("../../main.inc.php"))
    $res = @include("../../main.inc.php");
if (!$res && file_exists("../../../main.inc.php"))
    $res = @include("../../../main.inc.php");
if (!$res && file_exists("../../../dolibarr/htdocs/main.inc.php"))
    $res = @include("../../../dolibarr/htdocs/main.inc.php");     // Used on dev env only
if (!$res && file_exists("../../../../dolibarr/htdocs/main.inc.php"))
    $res = @include("../../../../dolibarr/htdocs/main.inc.php");   // Used on dev env only
if (!$res && file_exists("../../../../../dolibarr/htdocs/main.inc.php"))
    $res = @include("../../../../../dolibarr/htdocs/main.inc.php");   // Used on dev env only
if (!$res)
    die("Include of main fails");
require_once(DOL_DOCUMENT_ROOT . "/core/lib/admin.lib.php");
require_once(DOL_DOCUMENT_ROOT . "/comm/action/class/cactioncomm.class.php");
require_once(DOL_DOCUMENT_ROOT . "/core/class/html.formactions.class.php");

if (!$user->admin)
    accessforbidden();

$langs->load('admin');
$langs->load("commercial");
$langs->load("other");
$langs->load('agenda');
$langs->load('dolimapmail@dolimapmail');

$htmlactions = new FormActions($db);
$cactioncomm = new CActionComm($db);

if ($action === 'activateAgendaModule' && $user->admin) {
    $result = activateModule("modAgenda");
    if ($result) {
        if (function_exists('setEventMessage'))
            setEventMessage($result, 'errors');
        else
            $mesg = $result;
    }
}

$action = GETPOST('action', 'alpha');

if ($action === 'update' || $action === 'add') {
    $constname = GETPOST('constname', 'alpha');
    $constvalue = GETPOST('constvalue', 'alpha');
    $consttype = GETPOST('consttype', 'alpha');
    $constnote = GETPOST('constnote', 'alpha');

    $res = dolibarr_set_const($db, $constname, $constvalue, $consttype, 0,
            $constnote, $conf->entity);

    if (!$res > 0)
        $error++;

    if (!$error) {
        if (function_exists('setEventMessage'))
            setEventMessage($langs->trans("SetupSaved"), 'mesgs');
        else
            $mesg = "<font class=\"ok\">" . $langs->trans("SetupSaved") . "</font>";
    } else {
        if (function_exists('setEventMessage'))
            setEventMessage($langs->trans("Error"), 'errors');
        else
            $mesg = "<font class=\"error\">" . $langs->trans("Error") . "</font>";
    }
} elseif ($action === 'setfunc') {
    $constname = 'DOLIMAPMAIL_' . GETPOST('value', 'alpha');
    $constvalue = 1;
    $res = dolibarr_set_const($db, $constname, $constvalue, $consttype, 0,
            $constnote, $conf->entity);

    if (!$res > 0)
        $error++;

    if (!$error) {
        if (function_exists('setEventMessage'))
            setEventMessage($langs->trans("SetupSaved"), 'mesgs');
        else
            $mesg = "<font class=\"ok\">" . $langs->trans("SetupSaved") . "</font>";
    } else {
        if (function_exists('setEventMessage'))
            setEventMessage($langs->trans("Error"), 'errors');
        else
            $mesg = "<font class=\"error\">" . $langs->trans("Error") . "</font>";
    }
} elseif ($action === 'unsetfunc') {
    $constname = 'DOLIMAPMAIL_' . GETPOST('value', 'alpha');
    $res = dolibarr_del_const($db, $constname);

    if (!$res > 0)
        $error++;

    if (!$error) {
        if (function_exists('setEventMessage'))
            setEventMessage($langs->trans("SetupSaved"), 'mesgs');
        else
            $mesg = "<font class=\"ok\">" . $langs->trans("SetupSaved") . "</font>";
    } else {
        if (function_exists('setEventMessage'))
            setEventMessage($langs->trans("Error"), 'errors');
        else
            $mesg = "<font class=\"error\">" . $langs->trans("Error") . "</font>";
    }
} elseif ($action === 'setmod') {
    $constname = 'DOLIMAPMAIL_' . GETPOST('value', 'alpha');
    $constvalue = 1;
    $res = dolibarr_set_const($db, $constname, $constvalue, $consttype, 0,
            $constnote, $conf->entity);

    if (!($conf->global->DOLIMAPMAIL_SERVEUR_MEMCACHE_PORT > 0)) {
        $constname = 'DOLIMAPMAIL_SERVEUR_MEMCACHE_PORT';
        $constvalue = 11211;
        $res = dolibarr_set_const($db, $constname, $constvalue, $consttype, 0,
                $constnote, $conf->entity);
    }

    if (!($conf->global->DOLIMAPMAIL_SERVEUR_MEMCACHE_TTL > 0)) {
        $constname = 'DOLIMAPMAIL_SERVEUR_MEMCACHE_TTL';
        $constvalue = 600;
        $res = dolibarr_set_const($db, $constname, $constvalue, $consttype, 0,
                $constnote, $conf->entity);
    }


    if (!$res > 0)
        $error++;

    if (!$error) {
        if (function_exists('setEventMessage'))
            setEventMessage($langs->trans("SetupSaved"), 'mesgs');
        else
            $mesg = "<font class=\"ok\">" . $langs->trans("SetupSaved") . "</font>";
    } else {
        if (function_exists('setEventMessage'))
            setEventMessage($langs->trans("Error"), 'errors');
        else
            $mesg = "<font class=\"error\">" . $langs->trans("Error") . "</font>";
    }
} elseif ($action === 'unsetmod') {
    $constname = 'DOLIMAPMAIL_' . GETPOST('value', 'alpha');
    $res = dolibarr_del_const($db, $constname);

    if (!$res > 0)
        $error++;

    if (!$error) {
        if (function_exists('setEventMessage'))
            setEventMessage($langs->trans("SetupSaved"), 'mesgs');
        else
            $mesg = "<font class=\"ok\">" . $langs->trans("SetupSaved") . "</font>";
    } else {
        if (function_exists('setEventMessage'))
            setEventMessage($langs->trans("Error"), 'errors');
        else
            $mesg = "<font class=\"error\">" . $langs->trans("Error") . "</font>";
    }
} elseif ($action === 'setfolder') {
    $constname = 'DOLIMAPMAIL_' . GETPOST('value', 'alpha');
    $constvalue = 1;
    $res = dolibarr_set_const($db, $constname, $constvalue, $consttype, 0,
            $constnote, $conf->entity);

    if (!($conf->global->DOLIMAPMAIL_FOLDER_COPY_SENT_MAIL)) {
        $constname = 'DOLIMAPMAIL_FOLDER_COPY_SENT_MAIL';
        $constvalue = 'EnvoyesDeDolibarr';
        $res = dolibarr_set_const($db, $constname, $constvalue, $consttype, 0,
                $constnote, $conf->entity);
    }

    if (!$res > 0)
        $error++;

    if (!$error) {
        if (function_exists('setEventMessage'))
            setEventMessage($langs->trans("SetupSaved"), 'mesgs');
        else
            $mesg = "<font class=\"ok\">" . $langs->trans("SetupSaved") . "</font>";
    } else {
        if (function_exists('setEventMessage'))
            setEventMessage($langs->trans("Error"), 'errors');
        else
            $mesg = "<font class=\"error\">" . $langs->trans("Error") . "</font>";
    }
} elseif ($action === 'unsetfolder') {
    $constname = 'DOLIMAPMAIL_' . GETPOST('value', 'alpha');
    $res = dolibarr_del_const($db, $constname);

    if (!$res > 0)
        $error++;

    if (!$error) {
        if (function_exists('setEventMessage'))
            setEventMessage($langs->trans("SetupSaved"), 'mesgs');
        else
            $mesg = "<font class=\"ok\">" . $langs->trans("SetupSaved") . "</font>";
    } else {
        if (function_exists('setEventMessage'))
            setEventMessage($langs->trans("Error"), 'errors');
        else
            $mesg = "<font class=\"error\">" . $langs->trans("Error") . "</font>";
    }
}


$help_url = 'EN:Module Dolimapmail setup|FR:Paramétrage_du_module_dolimapmail';
llxHeader('', $langs->trans("Dolimapmail"), $help_url);


print 'version : ' . $conf->global->MAIN_VERSION_LAST_UPGRADE;

//print '<pre>';
//print_r($conf);
//print '</pre>';
$linkback = '<a href="' . DOL_URL_ROOT . '/admin/modules.php">' . $langs->trans("BackToModuleList") . '</a>';
print_fiche_titre($langs->trans("Dolimapmail"), $linkback, 'setup');

print_titre($langs->trans("dolimapmail_function"));
print '<table class="noborder" width="100%">';
$var = !$var;
print '<tr ' . $bc[$var] . '>';
print '<td colspan="2">' . $langs->trans('dolimapmail_linkto_function') . '</td>';
print '<td align="center">';
if ($conf->global->DOLIMAPMAIL_LINKTO == "1") {
    print '<a href="' . $_SERVER["PHP_SELF"] . '?action=unsetfunc&amp;value=LINKTO">';
    print img_picto($langs->trans("Activated"), 'switch_on');
    print '</a>';
}
else {
    print '<a href="' . $_SERVER["PHP_SELF"] . '?action=setfunc&amp;value=LINKTO">';
    print img_picto($langs->trans("Disabled"), 'switch_off');
    print '</a>';
}
print '</td>';
print "</tr>\n";

if ($conf->global->DOLIMAPMAIL_LINKTO == "1") {
    print '<tr ' . $bc[$var] . '>';
    print '<td>' . $langs->trans('code_actioncomm') . '</td>';
    print '<form method="POST" action="' . $_SERVER["PHP_SELF"] . '">';
    print '<input type="hidden" name="token" value="' . $_SESSION['newtoken'] . '">';
    print '<input type="hidden" name="action" value="update">';
    print '<input type="hidden" name="consttype" value="string">';
    // Value
    $key = "DOLIMAPMAIL_CODE_ACTIONCOMM";
    print '<input type="hidden" name="constname" value="' . $key . '">';
    print '<td>';
    $htmlactions->select_type_actions($conf->global->$key, "constvalue");
    print '</td><td>';
    print '<input type="submit" class="button" value="' . $langs->trans('Modify') . '" name="button"> &nbsp; ';
    print "</td>\n";
    print '</form>';
    print "</tr>\n";
}

print '<tr ' . $bc[$var] . '>';
print '<td colspan="3"><i>';

$const_name = 'MAIN_MODULE_AGENDA';
if (!empty($conf->global->$const_name)) {
    print '<span style="color:green;">' . $langs->trans('module_agenda_ok') . '</span>';
}
else {
    print '<span style="color:red;">' . $langs->trans('module_agenda_ko') . '</span>';
}
print '</i></td>';
print "</tr>\n";
$var = !$var;
print '<tr ' . $bc[$var] . '>';
print '<td colspan="2">' . $langs->trans('dolimapmail_copysentmail_function') . '</td>';
print '<td align="center">';
if ($conf->global->DOLIMAPMAIL_COPY_SENT_MAIL == "1") {
    print '<a href="' . $_SERVER["PHP_SELF"] . '?action=unsetfolder&amp;value=COPY_SENT_MAIL">';
    print img_picto($langs->trans("Activated"), 'switch_on');
    print '</a>';
}
else {
    print '<a href="' . $_SERVER["PHP_SELF"] . '?action=setfolder&amp;value=COPY_SENT_MAIL">';
    print img_picto($langs->trans("Disabled"), 'switch_off');
    print '</a>';
}
print '</td>';
print "</tr>\n";

if ($conf->global->DOLIMAPMAIL_COPY_SENT_MAIL == "1") {
    print '<tr ' . $bc[$var] . '>';
    print '<td>' . $langs->trans('dolimapmail_folder_copy_sent_mail') . '</td>';
    print '<form method="POST" action="' . $_SERVER["PHP_SELF"] . '">';
    print '<input type="hidden" name="token" value="' . $_SESSION['newtoken'] . '">';
    print '<input type="hidden" name="action" value="update">';
    print '<input type="hidden" name="consttype" value="string">';
    // Value
    $key = "DOLIMAPMAIL_FOLDER_COPY_SENT_MAIL";
    print '<input type="hidden" name="constname" value="' . $key . '">';
    print '<td>';
    print '<input type="text" size="20" name="constvalue" value="' . $conf->global->$key . '">';
    print '</td><td>';
    print '<input type="submit" class="button" value="' . $langs->trans('Modify') . '" name="button"> &nbsp; ';
    print "</td>\n";
    print '</form>';
    print "</tr>\n";
}

$var = !$var;
print '<tr ' . $bc[$var] . '>';
print '<td colspan="2">' . $langs->trans('folder_always_on_leftblock') . '</td>';
print '<td align="center">';
if ($conf->global->DOLIMAPMAIL_FOLDER_ALWAYS_ON_LEFTBLOCK == "1") {
    print '<a href="' . $_SERVER["PHP_SELF"] . '?action=unsetfunc&amp;value=FOLDER_ALWAYS_ON_LEFTBLOCK">';
    print img_picto($langs->trans("Activated"), 'switch_on');
    print '</a>';
}
else {
    print '<a href="' . $_SERVER["PHP_SELF"] . '?action=setfunc&amp;value=FOLDER_ALWAYS_ON_LEFTBLOCK">';
    print img_picto($langs->trans("Disabled"), 'switch_off');
    print '</a>';
}
print '</td>';
print "</tr>\n";

$var = !$var;
print '<tr ' . $bc[$var] . '>';
print '<td colspan="2">' . $langs->trans('folder_db_store_menu') . '</td>';
print '<td align="center">';
if ($conf->global->DOLIMAPMAIL_FOLDER_DBSTORE_MENU == "1") {
    print '<a href="' . $_SERVER["PHP_SELF"] . '?action=unsetfunc&amp;value=FOLDER_DBSTORE_MENU">';
    print img_picto($langs->trans("Activated"), 'switch_on');
    print '</a>';
}
else {
    print '<a href="' . $_SERVER["PHP_SELF"] . '?action=setfunc&amp;value=FOLDER_DBSTORE_MENU">';
    print img_picto($langs->trans("Disabled"), 'switch_off');
    print '</a>';
}
print '</td>';
print "</tr>\n";

$var = !$var;
print '</table>';
print '<br />';
if (!(extension_loaded("IMAP"))) {
    if (function_exists('setEventMessage')) {
        setEventMessage($langs->trans('Erreur : Module Imap non chargé'),
                'errors');
    }
    else {
        $errors[] = $langs->trans('Erreur : Module Imap non chargé');
        dol_htmloutput_errors('', $errors);
    }
    print "<br />\n";
}

print_titre($langs->trans("dolimapmail_optimisation"));
print '<table class="noborder" width="100%">';
$var = !$var;
print '<tr ' . $bc[$var] . '>';
print '<td colspan="2">' . $langs->trans('Memcache_server') . '</td>';
print '<td align="center">';
if ($conf->global->DOLIMAPMAIL_SERVEUR_MEMCACHE == "1") {
    print '<a href="' . $_SERVER["PHP_SELF"] . '?action=unsetmod&amp;value=SERVEUR_MEMCACHE">';
    print img_picto($langs->trans("Activated"), 'switch_on');
    print '</a>';
}
else {
    print '<a href="' . $_SERVER["PHP_SELF"] . '?action=setmod&amp;value=SERVEUR_MEMCACHE">';
    print img_picto($langs->trans("Disabled"), 'switch_off');
    print '</a>';
}
print '</td>';
print "</tr>\n";
print '<tr ' . $bc[$var] . '>';
print '<td colspan="3"><i>';
if (function_exists('memcache_connect')) {
    print '<span style="color:green;">' . $langs->trans('memcache_function_ok') . '</span>';
}
else {
    print '<span style="color:red;">' . $langs->trans('memcache_function_ko') . '</span>';
}
print '</i></td>';
print "</tr>\n";
if ($conf->global->DOLIMAPMAIL_SERVEUR_MEMCACHE == "1") {
    print '<tr ' . $bc[$var] . '>';
    print '<td>' . $langs->trans('memcache_server_port') . '</td>';
    print '<form method="POST" action="' . $_SERVER["PHP_SELF"] . '">';
    print '<input type="hidden" name="token" value="' . $_SESSION['newtoken'] . '">';
    print '<input type="hidden" name="action" value="update">';
    print '<input type="hidden" name="consttype" value="string">';
    // Value
    $key = "DOLIMAPMAIL_SERVEUR_MEMCACHE_PORT";
    print '<input type="hidden" name="constname" value="' . $key . '">';
    print '<td>';
    print '<input type="text" size="20" name="constvalue" value="' . $conf->global->$key . '">';
    print '</td><td>';
    print '<input type="submit" class="button" value="' . $langs->trans('Modify') . '" name="button"> &nbsp; ';
    print "</td>\n";
    print '</form>';
    print "</tr>\n";

    print '<tr ' . $bc[$var] . '>';
    print '<td>' . $langs->trans('memcache_server_ttl') . '</td>';
    print '<form method="POST" action="' . $_SERVER["PHP_SELF"] . '">';
    print '<input type="hidden" name="token" value="' . $_SESSION['newtoken'] . '">';
    print '<input type="hidden" name="action" value="update">';
    print '<input type="hidden" name="consttype" value="string">';
    // Value
    $key = "DOLIMAPMAIL_SERVEUR_MEMCACHE_TTL";
    print '<input type="hidden" name="constname" value="' . $key . '">';
    print '<td>';
    print '<input type="text" size="20" name="constvalue" value="' . $conf->global->$key . '">';
    print '</td><td>';
    print '<input type="submit" class="button" value="' . $langs->trans('Modify') . '" name="button"> &nbsp; ';
    print "</td>\n";
    print '</form>';
    print "</tr>\n";
    $memcache_obj = memcache_connect('localhost',
            $conf->global->DOLIMAPMAIL_SERVEUR_MEMCACHE_PORT);
    print '<tr ' . $bc[$var] . '>';
    print '<td colspan="3"><i>';
    if ($memcache_obj) {
        print '<span style="color:green;">' . $langs->trans('memcache_connect_ok') . '</span>';
    }
    else {
        print '<span style="color:red;">' . $langs->trans('memcache_connect_ko') . '</span>';
    }
    print '</i></td>';
    print "</tr>\n";
}
print "</table>\n";
print '<br />';
print_titre($langs->trans("admin_dolimapmail_debug"));
print '<table class="noborder" width="100%">';
$var = !$var;
print '<tr ' . $bc[$var] . '>';
print '<td colspan="2">' . $langs->trans('dolimapmail_mail_encodage_debug') . '</td>';
print '<td align="center">';
if ($conf->global->DOLIMAPMAIL_DEBUG_MAIL_ENCODAGE == "1") {
    print '<a href="' . $_SERVER["PHP_SELF"] . '?action=unsetfunc&amp;value=DEBUG_MAIL_ENCODAGE">';
    print img_picto($langs->trans("Activated"), 'switch_on');
    print '</a>';
}
else {
    print '<a href="' . $_SERVER["PHP_SELF"] . '?action=setfunc&amp;value=DEBUG_MAIL_ENCODAGE">';
    print img_picto($langs->trans("Disabled"), 'switch_off');
    print '</a>';
}
print '</td>';
print "</tr>\n";
print "</table>\n";

llxFooter();