<?php

/* Copyright (C) 2007-2010 Laurent Destailleur  <eldy@users.sourceforge.net>
 * Copyright (C) ---Put here your own copyright and developer email---
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */



/**
 *   	\file       dev/skeletons/skeleton_page.php
 * 		\ingroup    mymodule othermodule1 othermodule2
 * 		\brief      This file is an example of a php page
 * 					Put here some comments
 */
//if (! defined('NOREQUIREUSER'))  define('NOREQUIREUSER','1');
//if (! defined('NOREQUIREDB'))    define('NOREQUIREDB','1');
//if (! defined('NOREQUIRESOC'))   define('NOREQUIRESOC','1');
//if (! defined('NOREQUIRETRAN'))  define('NOREQUIRETRAN','1');
//if (! defined('NOCSRFCHECK'))    define('NOCSRFCHECK','1');
//if (! defined('NOTOKENRENEWAL')) define('NOTOKENRENEWAL','1');
//if (! defined('NOREQUIREMENU'))  define('NOREQUIREMENU','1');	// If there is no menu to show
//if (! defined('NOREQUIREHTML'))  define('NOREQUIREHTML','1');	// If we don't need to load the html.form.class.php
//if (! defined('NOREQUIREAJAX'))  define('NOREQUIREAJAX','1');
//if (! defined("NOLOGIN"))        define("NOLOGIN",'1');		// If this page is public (can be called outside logged session)
// Change this following line to use the correct relative path (../, ../../, etc)
$res = 0;
if (!$res && file_exists("../main.inc.php"))
    $res = @include("../main.inc.php");
if (!$res && file_exists("../../main.inc.php"))
    $res = @include("../../main.inc.php");
if (!$res && file_exists("../../../main.inc.php"))
    $res = @include("../../../main.inc.php");
if (!$res && file_exists("../../../../main.inc.php"))
    $res = @include("../../../../main.inc.php");
if (!$res && file_exists("../../../dolibarr/htdocs/main.inc.php"))
    $res = @include("../../../dolibarr/htdocs/main.inc.php");     // Used on dev env only
if (!$res && file_exists("../../../../dolibarr/htdocs/main.inc.php"))
    $res = @include("../../../../dolibarr/htdocs/main.inc.php");   // Used on dev env only
if (!$res && file_exists("../../../../../dolibarr/htdocs/main.inc.php"))
    $res = @include("../../../../../dolibarr/htdocs/main.inc.php");   // Used on dev env only
if (!$res)
    die("Include of main fails");
// Change this following line to use the correct relative path from htdocs (do not remove DOL_DOCUMENT_ROOT)
//require_once(DOL_DOCUMENT_ROOT."/../dev/skeleton/skeleton_class.class.php");
// Load traductions files requiredby by page
require_once(DOL_DOCUMENT_ROOT . "/core/lib/agenda.lib.php");
require_once(DOL_DOCUMENT_ROOT . "/core/lib/files.lib.php");
require_once(DOL_DOCUMENT_ROOT . "/core/class/html.formfile.class.php");
require_once(DOL_DOCUMENT_ROOT . "/comm/action/class/cactioncomm.class.php");
require_once(DOL_DOCUMENT_ROOT . "/comm/action/class/actioncomm.class.php");
require_once(dirname(__FILE__) . '/class/usermailboxconfig.class.php');
require_once(dirname(__FILE__) . '/lib/lib_dolimapmail.php');
$langs->load("companies");
$langs->load("other");
$langs->load("dolimapmail@dolimapmail");

// Get parameters
$id = GETPOST('id', 'int');
$action = GETPOST('action', 'alpha');
$folder = GETPOST('folder', 'alpha');
$key = GETPOST('key', 'alpha');
$mesg = GETPOST('mesg');

// Protection if external user
if ($user->societe_id > 0) {
    //accessforbidden();
}

$mailboxconfig = new Usermailboxconfig($db);
$mailboxconfig->fetch_from_user($user->id);

$user->mailbox_imap_login = $mailboxconfig->mailbox_imap_login;
$user->mailbox_imap_password = $mailboxconfig->mailbox_imap_password;
$user->mailbox_imap_host = $mailboxconfig->mailbox_imap_host;
$user->mailbox_imap_port = $mailboxconfig->mailbox_imap_port;
$user->mailbox_imap_ssl = $mailboxconfig->mailbox_imap_ssl;
$user->mailbox_imap_ssl_novalidate_cert = $mailboxconfig->mailbox_imap_ssl_novalidate_cert;
$user->mailbox_imap_ref = $mailboxconfig->get_ref();
$user->mailbox_imap_connector_url = $mailboxconfig->get_connector_url();

if (!is_dir(DOL_DATA_ROOT . '/dolimapmail'))
    dol_mkdir(DOL_DATA_ROOT . '/dolimapmail');

if (!is_dir(DOL_DATA_ROOT . '/dolimapmail/tmp'))
    dol_mkdir(DOL_DATA_ROOT . '/dolimapmail/tmp');

if (!is_dir(DOL_DATA_ROOT . '/dolimapmail/tmp/' . $key))
    dol_mkdir(DOL_DATA_ROOT . '/dolimapmail/tmp/' . $key);

$upload_dir = DOL_DATA_ROOT . '/dolimapmail/tmp/' . $key;



if (GETPOST('reference_mail_uid') && GETPOST('reference_rowid') && GETPOST('reference_type_element')) {

    $mbox = imap_open($user->mailbox_imap_connector_url . $folder,
            $user->mailbox_imap_login, $user->mailbox_imap_password);

    if (FALSE === $mbox) {
        $info = FALSE;
        if (function_exists('setEventMessage')) {
            setEventMessage($langs->trans('connexion_failed'), 'errors');
        }
        else {
            $err = $langs->trans('connexion_failed');
        }
    }
    else {
        $uid = GETPOST('reference_mail_uid');
        list($charset, $htmlmsg, $plainmsg, $attachments) = getmsg($mbox, $uid);

        $headerText = imap_fetchHeader($mbox, GETPOST('reference_mail_uid'),
                FT_UID);
        $header = imap_rfc822_parse_headers($headerText);

        switch ($charset) {
            case 'ISO-8859-1':
            case 'ISO-8859-15':
                $htmlmsg = utf8_encode($htmlmsg);
                $plainmsg = utf8_encode(nl2br($plainmsg));
                break;
            default:
                $plainmsg = nl2br($plainmsg);
        }
        if ($htmlmsg != '')
            $corps = $htmlmsg;
        else
            $corps = $plainmsg;
    }
    imap_close($mbox);

    $actioncomm = new ActionComm($db);
    $cactioncomm = new CActionComm($db);

    // Initialisation objet actioncomm
    $usertodo = $user;
    $actioncomm->usertodo = $usertodo;
    $actioncomm->userownerid = $usertodo->id;

    if (GETPOST('reference_fk_socid', 'int') > 0) {
        $societe = new Societe($db);
        $societe->fetch(GETPOST('reference_fk_socid', 'int'));
        $actioncomm->societe = $societe;
    }

    if ($conf->global->DOLIMAPMAIL_CODE_ACTIONCOMM)
        $cactioncomm_code = $conf->global->DOLIMAPMAIL_CODE_ACTIONCOMM;
    else
        $cactioncomm_code = "AC_OTH";

    $result = $cactioncomm->fetch($cactioncomm_code);

    $actioncomm->type_id = $cactioncomm->id;
    $actioncomm->type_code = $cactioncomm->code;
    $actioncomm->priority = 0;
    $actioncomm->fulldayevent = 0;
    $actioncomm->location = '';
    $actioncomm->ref_ext = GETPOST('key');
    $from = $header->from;
    // On utilise l'objet du mail 
    $actioncomm->label = trim(preg_replace('/<.*>|"/', '',
                    @iconv_mime_decode(imap_utf8($header->subject))));
    // ou a défaut le label "Envoi de mail de %expediteur%"
    if (!$actioncomm->label) {
        $lblfrom = @iconv_mime_decode(imap_utf8($from[0]->personal)) . " [" . $from[0]->mailbox . "@" . $from[0]->host . "]";
        $actioncomm->label = $langs->transnoentitiesnoconv("MailFrom", $lblfrom);
    }
    else
        $actioncomm->label = $langs->transnoentitiesnoconv("Mail ") . $actioncomm->label;
    if (GETPOST('reference_type_element') === 'projet')
        $actioncomm->fk_project = GETPOST('reference_rowid');
    else
        $actioncomm->fk_project = 0;
    $actioncomm->percentage = 100;
    $actioncomm->datep = strtotime($header->date);
    $actioncomm->percentage = 100;

    // On recupère le contenu du mail qu'on place dans la note
    $actioncomm->note = trim($corps);

    $actioncomm->fk_element = GETPOST('reference_rowid');
    $actioncomm->elementtype = GETPOST('reference_type_element');

    if ($actioncomm->elementtype === 'societe') {
        $actioncomm->socid = $actioncomm->fk_element;
    }

    // 
    // TODO
    // On recherche l'expediteur dans les contacts
    if (isset($_POST["contactid"])) {
        $actioncomm->contact = $contact;
    }
    // Special for module webcal and phenix
    if ($_POST["add_webcal"] === 'on' && $conf->webcalendar->enabled)
        $actioncomm->use_webcal = 1;
    if ($_POST["add_phenix"] === 'on' && $conf->phenix->enabled)
        $actioncomm->use_phenix = 1;


    if (!$error) {
        $db->begin();

        // On cree l'action
        $idaction = $actioncomm->add($user);
        if ($idaction > 0) {
            if (!$actioncomm->error) {
                $db->commit();
                updatekeyactioncomm($idaction, $key);
                $db->commit();

                if (!is_dir(DOL_DATA_ROOT . '/agenda'))
                    dol_mkdir(DOL_DATA_ROOT . '/agenda');
                if (!is_dir(DOL_DATA_ROOT . '/agenda/' . $idaction))
                    dol_mkdir(DOL_DATA_ROOT . '/agenda/' . $idaction);

                $target_dir = DOL_DATA_ROOT . '/agenda/' . $idaction;

                $filearray = dol_dir_list($upload_dir, "files", 0, '',
                        '\.meta$', $sortfield,
                        (strtolower($sortorder) === 'desc' ? SORT_DESC : SORT_ASC),
                        1);
                $nb_files = sizeof($filearray);
                for ($i_file = 0; $i_file < $nb_files; $i_file++) {
                    $file = $filearray[$i_file];
                    dol_copy($file['fullname'],
                            $target_dir . '/' . $file['name']);
                }
            }
        }
    }
}

/*
 * Add file in email form
 */
if (GETPOST('addfile')) {
    require_once DOL_DOCUMENT_ROOT . '/core/lib/files.lib.php';

    // Set tmp user directory TODO Use a dedicated directory for temp mails files
    $vardir = $conf->user->dir_output . "/" . $user->id;
    $upload_dir_tmp = $vardir . '/temp';

    dol_add_file_process($upload_dir_tmp, 0, 0);
    $action = 'presend';
}

/*
 * Remove file in email form
 */
if (GETPOST('removedfile')) {
    require_once DOL_DOCUMENT_ROOT . '/core/lib/files.lib.php';

    // Set tmp user directory
    $vardir = $conf->user->dir_output . "/" . $user->id;
    $upload_dir_tmp = $vardir . '/temp';

    // TODO Delete only files that was uploaded from email form
    dol_remove_file_process(GETPOST('removedfile'), 0);
    $action = 'presend';
}


/*
 * Send mail
 */
if ($action === 'send' && !GETPOST('addfile') && !GETPOST('removedfile') && !GETPOST('cancel')) {
    $langs->load('mails');

    if (GETPOST('sendto')) {
        // Le destinataire a ete fourni via le champ libre
        $sendto = GETPOST('sendto');
        $sendtoid = 0;
    }

    if (dol_strlen($sendto)) {
        $langs->load("commercial");

        $from = GETPOST('fromname') . ' <' . GETPOST('frommail') . '>';
        $replyto = GETPOST('replytoname') . ' <' . GETPOST('replytomail') . '>';
        $message = GETPOST('message');
        $sendtocc = GETPOST('sendtocc');
        $deliveryreceipt = GETPOST('deliveryreceipt');

        if ($action === 'send') {
            if (dol_strlen(GETPOST('subject')))
                $subject = GETPOST('subject');
            else
                $subject = ' ';
            $actiontypecode = 'AC_COM';
            $actionmsg = $langs->transnoentities('MailSentBy') . ' ' . $from . ' ' . $langs->transnoentities('To') . ' ' . $sendto . ".\n";
            if ($message) {
                $actionmsg.=$langs->transnoentities('MailTopic') . ": " . $subject . "\n";
                $actionmsg.=$langs->transnoentities('TextUsedInTheMessageBody') . ":\n";
                $actionmsg.=$message;
            }
            $actionmsg2 = $langs->transnoentities('Action' . $actiontypecode);
        }

        // Create form object
        include_once DOL_DOCUMENT_ROOT . '/core/class/html.formmail.class.php';
        $formmail = new FormMail($db);

        $attachedfiles = $formmail->get_attached_files();
        $filepath = $attachedfiles['paths'];
        $filename = $attachedfiles['names'];
        $mimetype = $attachedfiles['mimes'];

        // Send mail
        require_once DOL_DOCUMENT_ROOT . '/core/class/CMailFile.class.php';
        $mailfile = new CMailFile($subject, $sendto, $from, $message, $filepath,
                $mimetype, $filename, $sendtocc, '', $deliveryreceipt, -1);
        if ($mailfile->error) {
            if (function_exists('setEventMessage')) {
                setEventMessage($mailfile->error, 'errors');
            }
            else {
                $mesg = '<div class="error">' . $mailfile->error . '</div>';
            }
        }
        else {
            $result = $mailfile->sendfile();
            if ($result) {
                if (function_exists('setEventMessage')) {
                    setEventMessage($langs->trans('MailSuccessfulySent',
                                    $mailfile->getValidAddress($from, 2),
                                    $mailfile->getValidAddress($sendto, 2)),
                            'mesgs');
                }
                else {
                    $mesg = $langs->trans('MailSuccessfulySent',
                            $mailfile->getValidAddress($from, 2),
                            $mailfile->getValidAddress($sendto, 2)); // Must not contains "
                }
                if (!$mailfile->error) {

                    if ($mailfile->headers == '') {
                        // Use mail php function (default PHP method)
                        // ------------------------------------------

                        $smtp_headers = "";
                        $mime_headers = "";
                        $text_body = "";
                        $files_encoded = "";

                        // Define smtp_headers
                        $mailfile->subject = $subject;
                        $mailfile->addr_from = $from;
                        $mailfile->message = $message;
//			$mailfile->errors_to = $errors_to;
                        $mailfile->addr_to = $sendto;
                        $mailfile->addr_cc = $sendtocc;
//			$mailfile->addr_bcc = $addr_bcc;
                        $mailfile->deliveryreceipt = $deliveryreceipt;
//			$mailfile->trackid = $trackid;
                        $smtp_headers = $mailfile->write_smtpheaders();

                        // Define mime_headers
                        $mime_headers = $mailfile->write_mimeheaders($filepath,
                                $mimetype);

                        // We now define $this->headers and $this->message
                        $mailfile->headers = $smtp_headers . $mime_headers;
                        // On nettoie le header pour qu'il ne se termine pas par un retour chariot.
                        // Ceci evite aussi les lignes vides en fin qui peuvent etre interpretees
                        // comme des injections mail par les serveurs de messagerie.
                        $mailfile->headers = preg_replace("/([\r\n]+)$/i", "",
                                $mailfile->headers);
                    }
                    $mailfile->message = stripslashes($mailfile->message);

                    $msg_prepared = $mailfile->headers . $mailfile->eol;
                    if (strpos($mailfile->headers, "To: ") === FALSE)
                        $msg_prepared .= "To: " . $mailfile->getValidAddress($sendto,
                                        0, 1) . $mailfile->eol2;
                    $msg_prepared .= "Subject: " . $mailfile->subject . $mailfile->eol;
                    $msg_prepared .= $mailfile->eol;
                    $msg_prepared .= $mailfile->message . $mailfile->eol;

                    if ($conf->global->DOLIMAPMAIL_COPY_SENT_MAIL)
                        store_email_into_folder($msg_prepared,
                                $conf->global->DOLIMAPMAIL_FOLDER_COPY_SENT_MAIL);

                    $formmail->clear_attached_files();
                    // Redirect here
                    // This avoid sending mail twice if going out and then back to page
                    header('Location: index.php?&mesg=' . urlencode($mesg));
                    exit;
                }
                $error = 0;

                if ($error) {
                    dol_print_error($db);
                }
                else {
                    // Redirect here
                    // This avoid sending mail twice if going out and then back to page
                    header('Location: index.php?&mesg=' . urlencode($mesg));
                    exit;
                }
            }
            else {
                $langs->load("other");

                if (function_exists('setEventMessage')) {
                    if ($mailfile->error) {
                        $mesg.=$langs->trans('ErrorFailedToSendMail', $from,
                                $sendto);
                        $mesg.='<br>' . $mailfile->error;
                    }
                    else {
                        $mesg.=$langs->trans('no_mail_sent_main_disable_all_mails');
                    }
                    setEventMessage($mesg, 'errors');
                }
                else {
                    $mesg = '<div class="error">';
                    if ($mailfile->error) {
                        $mesg.=$langs->trans('ErrorFailedToSendMail', $from,
                                $sendto);
                        $mesg.='<br>' . $mailfile->error;
                    }
                    else {
                        $mesg.=$langs->trans('no_mail_sent_main_disable_all_mails');
                    }
                    $mesg.='</div>';
                }
            }
        }
    }
    else {
        $langs->load("errors");
        $mesg = '<div class="error">' . $langs->trans('Destinataire manquant') . '</div>';
        dol_syslog('Destinataire manquant');
    }
}


/* * *************************************************
 * VIEW
 *
 * Put here all code to build page
 * ************************************************** */

llxHeader('', 'Dolibarr Webmail', '');

$head[0][0] = dol_buildpath('/dolimapmail/index.php', 1) . '?mainmenu=dolimapmail' . '&folder=' . GETPOST('folder');
$head[0][1] = $langs->trans("DolimapmailMailbox");
$head[0][2] = 'mailbox';

$head[1][0] = $_SERVER['PHP_SELF'] . '?mainmenu=dolimapmail&uid=' . GETPOST('uid') . '&folder=' . GETPOST('folder') . '&key=' . GETPOST('key');
$head[1][1] = $langs->trans("DolimapmailDetail");
$head[1][2] = 'detail';

dol_fiche_head($head, 'detail', $langs->trans("Webmail"), 0,
        'mailbox@dolimapmail');
// Connexion
$mbox = @imap_open($user->mailbox_imap_connector_url . $folder,
                $user->mailbox_imap_login, $user->mailbox_imap_password);


if (FALSE === $mbox) {
    $info = FALSE;
    if (function_exists('setEventMessage')) {
        setEventMessage($langs->trans('connexion_failed'), 'errors');
    }
    else {
        $err = $langs->trans('connexion_failed');
    }
}
else {
    $uid = $_GET['uid'];
    $headerText = imap_fetchHeader($mbox, $uid, FT_UID);
    $header = imap_rfc822_parse_headers($headerText);

    list($charset, $htmlmsg, $plainmsg, $attachments) = getmsg($mbox, $uid);
    @imap_close($mbox);
}

if (!(function_exists('setEventMessage'))) {
    dol_htmloutput_mesg($mesg, $mesgs);
}


switch ($charset) {
    case 'iso-8859-1':
    case 'ISO-8859-1':
    case 'iso-8859-15':
    case 'ISO-8859-15':
        $htmlmsg = utf8_encode($htmlmsg);
        $plainmsg = utf8_encode(nl2br($plainmsg));
        break;
    default:
        $plainmsg = nl2br($plainmsg);
}
print '<div class="titre">' . trim(utf8_encode(preg_replace('/<.*>|"/', '',
                                @iconv_mime_decode(imap_utf8($header->subject))))) . '</div>';
$from = $header->from;
print $langs->trans('mail_from',
                utf8_encode(@iconv_mime_decode(imap_utf8($from[0]->personal))) . " [" . $from[0]->mailbox . "@" . $from[0]->host . "]");
print "<br /><br /><br />";

if ($htmlmsg != '')
    print ($htmlmsg);
else
    print ($plainmsg);
print '</div><br />';
// Construit liste des fichiers
$filearray = dol_dir_list($upload_dir, "files", 0, '', '\.meta$', $sortfield,
        (strtolower($sortorder) === 'desc' ? SORT_DESC : SORT_ASC), 1);
//$totalsize = 0;
//foreach ($filearray as $file) {
//    $totalsize+=$file['size'];
//}

$formfile = new FormFile($db);

// List of document
$param = '&id=' . $key;
$formfile->list_of_documents($filearray, $object, 'dolimapmail', $param, 1,
        'tmp/' . $key . '/', 0);

print '<br />';
if ($conf->global->DOLIMAPMAIL_LINKTO) {
    print '<form name="link_0" method="POST">';
    print '<input id="key" type="hidden" name="key" value="' . $key . '">' . "\n";
    print '<table class="noborder" width="100%">';
    print '<tr class="liste_titre">';
    print '<th class="liste_titre" colspan="3">' . $langs->trans('Liens') . '</th>';
    print '</tr>';
    print "\n";
    if ($key) {
        $liste_liens = getlisteliens($key);
        $nb_liens = sizeof($liste_liens);
        if ($nb_liens > 0) {
            for ($i_lien = 0; $i_lien < $nb_liens; $i_lien++) {
                $lien = $liste_liens[$i_lien];
                $var = !$var;
                print '<tr ' . $bc[$var] . '>';
                print '<td class="nowrap" colspan="3">';
                print dolimapmail_getElementUrl($lien->fk_element,
                                $lien->elementtype, 1);
                print '</td>';
                print '</tr>';
            }
        }
        else {
            $var = !$var;
            print '<tr ' . $bc[$var] . '>';
            print '<td class="nowrap" colspan="3">';
            print $langs->trans('None');
            print '</td>';
            print '</tr>';
        }
    }
    print '<tr><td  colspan="3">';
    print '<hr />';
    print '</td>';
    print '<tr><td  width="30%" nowrap><span class="fieldrequired">' . $langs->trans("Search") . '</span></td><td>';
    $out = '';
    if ($conf->use_javascript_ajax)
        $out .= ajax_multiautocompleter('reference_0',
                        array('reference_rowid_0', 'reference_type_element_0', 'reference_fk_socid_0'),
                        dol_buildpath('/dolimapmail/core/ajax/reference.php', 1),
                        'num_ligne=0') . "\n";
    $out.= '<input id="reference_0" type="text" name="reference_0" value="' . GETPOST("reference_0");
    print $out . '">' . "\n";
    print '<input id="reference_rowid_0" type="hidden" name="reference_rowid" value="';
    print GETPOST("reference_rowid_0");
    print '">' . "\n";
    print '<input id="reference_type_element_0" type="hidden" name="reference_type_element" value="';
    print GETPOST("reference_type_element_0");
    print '">' . "\n";
    print '<input id="reference_fk_socid_0" type="hidden" name="reference_fk_socid" value="';
    print GETPOST("reference_fk_socid_0");
    print '">' . "\n";
    print '<input id="reference_mail_uid_0" type="hidden" name="reference_mail_uid" value="';
    print $uid;
    print '">' . "\n";
    print '</td><td>';
    print '<div class="inline-block divButAction"><a class="butAction" href="javascript:;" onclick="link_0.submit();">';
    print $langs->trans('DolimapmaillLinked');
    print '</a></div>';
    print '</td></tr>';
    print '</table>';
    print '</form>';
    print '<br />';
}

print '<div class="fichecenter">';
print '<table class="noborder" width="100%">';
print '<tr class="liste_titre">';
print '<th class="liste_titre" colspan="3">' . $langs->trans('DolimapmailAnswer') . '</th>';
print '</tr>';

// Cree l'objet formulaire mail
include_once DOL_DOCUMENT_ROOT . '/core/class/html.formmail.class.php';
$formmail = new FormMail($db);
$formmail->fromtype = 'user';
$formmail->fromid = $user->id;
$formmail->fromname = $user->getFullName($langs);
$formmail->frommail = $user->email;
$formmail->withfrom = 1;
$formmail->withto = $from[0]->mailbox . "@" . $from[0]->host;
$formmail->withtoccc = $conf->global->MAIN_EMAIL_USECCC;
$formmail->withtopic = 'Re: ' . trim(utf8_encode(preg_replace('/<.*>|"/', '',
                                @iconv_mime_decode(imap_utf8($header->subject)))));
$formmail->withfile = 2;
if ($htmlmsg != '')
    $formmail->withbody = create_reply_body($header, $htmlmsg, 1);
else
    $formmail->withbody = create_reply_body($header, $plainmsg, 0);
$formmail->withdeliveryreceipt = 1;
$formmail->withcancel = 1;
// Tableau des substitutions
if ($htmlmsg != '')
    $formmail->substit['__SIGNATURE__'] = $user->signature;
else
    $formmail->substit['__SIGNATURE__'] = str_replace("<br>", "\n\r",
            $user->signature);
$formmail->substit['__PERSONALIZED__'] = '';
$formmail->substit['__CONTACTCIVNAME__'] = '';

$custcontact = '';

// Tableau des parametres complementaires
$formmail->param['action'] = 'send';
$formmail->param['models'] = 'mail_send';
$formmail->param['returnurl'] = $_SERVER["PHP_SELF"] . '?uid=' . GETPOST('uid') . '&folder=' . GETPOST('folder') . '&key=' . GETPOST('key');

// Init list of files
if (GETPOST("mode") === 'init') {
    $formmail->clear_attached_files();
    //$formmail->add_attached_files($file, basename($file), dol_mimetype($file));
}
print '<tr ' . $bc[$var] . '>';
print '<td class="nowrap" colspan="3">';

// Show form
$formmail->show_form();
print '</td>';
print '</tr>';
print '</table>';

print '<br />';
print '<br />';

// End of page
llxFooter();
$db->close();